/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

            Symbol.bindElementAction(compId, symbolName, "${_hotspot_1}", "click", function(sym, e) {
         sym.getSymbol("pop_1").play(0001);
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").hide();
         sym.$("hotspot_3").hide();
         sym.$("hotspot_4").hide();
         sym.$("hotspot_5").hide();
         sym.$("dra").hide();
         sym.getSymbol("pop_1").$("dra2").show();
         

      });
         //Edge binding end



      Symbol.bindElementAction(compId, symbolName, "${_hotspot_2}", "click", function(sym, e) {
         sym.getSymbol("pop_2").play(0001);
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").hide();
         sym.$("hotspot_3").hide();
         sym.$("hotspot_4").hide();
         sym.$("hotspot_5").hide();
         sym.$("dra").hide();
         sym.getSymbol("pop_2").$("dra2").show();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_3}", "click", function(sym, e) {
         sym.getSymbol("pop_3").play(0001);
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").hide();
         sym.$("hotspot_3").hide();
         sym.$("hotspot_4").hide();
         sym.$("hotspot_5").hide();
         sym.$("dra").hide();
         sym.getSymbol("pop_3").$("dra2").show();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_4}", "click", function(sym, e) {
         sym.getSymbol("pop_4").play(0001);
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").hide();
         sym.$("hotspot_3").hide();
         sym.$("hotspot_4").hide();
         sym.$("hotspot_5").hide();
         sym.$("dra").hide();
         sym.getSymbol("pop_4").$("dra2").show();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_5}", "click", function(sym, e) {
         sym.getSymbol("pop_5").play(0001);
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").hide();
         sym.$("hotspot_3").hide();
         sym.$("hotspot_4").hide();
         sym.$("hotspot_5").hide();
         sym.$("dra").hide();
         sym.getSymbol("pop_5").$("dra2").show();
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'flecha_bt'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("flecha_bt");
   //Edge symbol end:'flecha_bt'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

   })("bt_audio");
   //Edge symbol end:'bt_audio'

   //=========================================================
   
   //Edge symbol: 'globo_1'
   (function(symbolName) {   
   
   })("globo_1");
   //Edge symbol end:'globo_1'

   //=========================================================
   
   //Edge symbol: 'dra'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7000, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("dra");
   //Edge symbol end:'dra'

   //=========================================================
   
   //Edge symbol: 'parpados'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 5000, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("parpados");
   //Edge symbol end:'parpados'

   //=========================================================
   
   //Edge symbol: 'cabeza'
   (function(symbolName) {   
   
   })("cabeza");
   //Edge symbol end:'cabeza'

   //=========================================================
   
   //Edge symbol: 'btn_5'
   (function(symbolName) {   
   
   })("btn_5");
   //Edge symbol end:'btn_5'

   //=========================================================
   
   //Edge symbol: 'btn_4'
   (function(symbolName) {   
   
   })("btn_4");
   //Edge symbol end:'btn_4'

   //=========================================================
   
   //Edge symbol: 'btn_3'
   (function(symbolName) {   
   
   })("btn_3");
   //Edge symbol end:'btn_3'

   //=========================================================
   
   //Edge symbol: 'btn_2'
   (function(symbolName) {   
   
   })("btn_2");
   //Edge symbol end:'btn_2'

   //=========================================================
   
   //Edge symbol: 'btn_1'
   (function(symbolName) {   
   
   })("btn_1");
   //Edge symbol end:'btn_1'

   //=========================================================
   
   //Edge symbol: 'pop_1'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.playReverse(0500); 
         sym.getComposition().getStage().$("hotspot_1").show();
         sym.getComposition().getStage().$("hotspot_2").show();
         sym.getComposition().getStage().$("hotspot_3").show();
         sym.getComposition().getStage().$("hotspot_4").show();
         sym.getComposition().getStage().$("hotspot_5").show();
         

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         sym.$("dra2").hide();
         sym.getComposition().getStage().$("dra").show();

      });
      //Edge binding end

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$("TextArea_1").html("<textarea id='seleccion_1' style='width: 620px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_2").html("<textarea id='seleccion_2' style='width: 620px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_3").html("<textarea id='seleccion_3' style='width: 130px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_4").html("<textarea id='seleccion_4' style='width: 130px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_5").html("<textarea id='seleccion_4' style='width: 130px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_6").html("<textarea id='seleccion_4' style='width: 130px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_7").html("<textarea id='seleccion_7' style='width: 655px; height: 58px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         

      });
      //Edge binding end

   })("pop_1");
   //Edge symbol end:'pop_1'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'pop_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         sym.$("dra2").hide();
         sym.getComposition().getStage().$("dra").show();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.playReverse(0500); 
         sym.getComposition().getStage().$("hotspot_1").show();
         sym.getComposition().getStage().$("hotspot_2").show();
         sym.getComposition().getStage().$("hotspot_3").show();
         sym.getComposition().getStage().$("hotspot_4").show();
         sym.getComposition().getStage().$("hotspot_5").show();
         

      });
         //Edge binding end

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$("TextArea_1").html("<textarea id='seleccion_1' style='width: 620px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_2").html("<textarea id='seleccion_2' style='width: 620px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_3").html("<textarea id='seleccion_3' style='width: 130px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_4").html("<textarea id='seleccion_4' style='width: 130px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_5").html("<textarea id='seleccion_4' style='width: 130px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_6").html("<textarea id='seleccion_4' style='width: 130px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_7").html("<textarea id='seleccion_7' style='width: 655px; height: 58px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         

      });
      //Edge binding end

      })("pop_2");
   //Edge symbol end:'pop_2'

   //=========================================================
   
   //Edge symbol: 'pop_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         sym.$("dra2").hide();
         sym.getComposition().getStage().$("dra").show();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.playReverse(0500); 
         sym.getComposition().getStage().$("hotspot_1").show();
         sym.getComposition().getStage().$("hotspot_2").show();
         sym.getComposition().getStage().$("hotspot_3").show();
         sym.getComposition().getStage().$("hotspot_4").show();
         sym.getComposition().getStage().$("hotspot_5").show();
         

      });
         //Edge binding end

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$("TextArea_1").html("<textarea id='seleccion_1' style='width: 620px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_2").html("<textarea id='seleccion_2' style='width: 620px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_3").html("<textarea id='seleccion_3' style='width: 130px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_4").html("<textarea id='seleccion_4' style='width: 130px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_5").html("<textarea id='seleccion_4' style='width: 130px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_6").html("<textarea id='seleccion_4' style='width: 130px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_7").html("<textarea id='seleccion_7' style='width: 655px; height: 58px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");

      });
      //Edge binding end

      })("pop_3");
   //Edge symbol end:'pop_3'

   //=========================================================
   
   //Edge symbol: 'pop_4'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         sym.$("dra2").hide();
         sym.getComposition().getStage().$("dra").show();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.playReverse(0500); 
         sym.getComposition().getStage().$("hotspot_1").show();
         sym.getComposition().getStage().$("hotspot_2").show();
         sym.getComposition().getStage().$("hotspot_3").show();
         sym.getComposition().getStage().$("hotspot_4").show();
         sym.getComposition().getStage().$("hotspot_5").show();
         

      });
         //Edge binding end

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$("TextArea_1").html("<textarea id='seleccion_1' style='width: 620px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_2").html("<textarea id='seleccion_2' style='width: 620px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_3").html("<textarea id='seleccion_3' style='width: 130px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_4").html("<textarea id='seleccion_4' style='width: 130px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_5").html("<textarea id='seleccion_4' style='width: 130px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_6").html("<textarea id='seleccion_4' style='width: 130px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_7").html("<textarea id='seleccion_7' style='width: 655px; height: 58px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 1px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");

      });
      //Edge binding end

      })("pop_4");
   //Edge symbol end:'pop_4'

   //=========================================================
   
   //Edge symbol: 'pop_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         sym.$("dra2").hide();
         sym.getComposition().getStage().$("dra").show();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.playReverse(0500); 
         sym.getComposition().getStage().$("hotspot_1").show();
         sym.getComposition().getStage().$("hotspot_2").show();
         sym.getComposition().getStage().$("hotspot_3").show();
         sym.getComposition().getStage().$("hotspot_4").show();
         sym.getComposition().getStage().$("hotspot_5").show();
         

      });
         //Edge binding end

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$("TextArea_1").html("<textarea id='seleccion_1' style='width: 530px; height: 31px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 5px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_2").html("<textarea id='seleccion_2' style='width: 530px; height: 210px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 5px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");

      });
      //Edge binding end

      })("pop_5");
   //Edge symbol end:'pop_5'

})(jQuery, AdobeEdge, "EDGE-94063035");